# cMemCommBuffer Class Reference
[Parallel simulation support]

Communication buffer that packs data into a memory buffer without any transformation. More...

`#include <cmemcommbuffer.h>`

Inheritance diagram for cMemCommBuffer:

List of all members.

## Public Member Functions

| cMemCommBuffer ()
virtual | ~cMemCommBuffer ()
Pack basic types
Pack arrays of basic types
Unpack basic types
Unpack arrays of basic types

## Detailed Description

Communication buffer that packs data into a memory buffer without any transformation.

## Constructor & Destructor Documentation

cMemCommBuffer::cMemCommBuffer | ( |  | ) |

| Constructor.

virtual cMemCommBuffer::~cMemCommBuffer | ( |  | ) | `[virtual]`

| Destructor.

The documentation for this class was generated from the following file:

- cmemcommbuffer.h